﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using Telerik.Windows.Controls;

namespace WpfApplication3.ViewModels
{
    public class ItemViewModel : ViewModelBase
    {
        private bool _unavailable;

        public string Header { get; set; }
        public ObservableCollection<ItemViewModel> Children { get; set; }
        public bool Unavailable
        {
            get
            {
                return this._unavailable;
            }
            internal set
            {
                if (this._unavailable != value)
                {
                    this._unavailable = value;
                    OnPropertyChanged("Unavailable");
                }
            }
        }
        

        public ItemViewModel(string name)
        {
            this.Children = new ObservableCollection<ItemViewModel>();
            this.Header = name;
        }
    }
}
